﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Globalization;
using C1.Web.Wijmo.Controls.C1Chart;
using System.Data.OleDb;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

       
        double[] unitsSold = new double[12];
        double[] month = new double[12];

        //populate the array
        int i = 0;
        for (i = 0; i < 12; i++)
        {
            unitsSold[i] = i;
            month[i] = i * i;
        }

        //create an object of chart series and add data
        BarChartSeries bcs = new BarChartSeries();
        bcs.Data.X.AddRange(unitsSold);
        bcs.Data.Y.AddRange(month);
        bcs.Label = "SalesPerMonth";
        
        //add the series
        C1BarChart1.SeriesList.Add(bcs);
        
        
        //array consisting names of the months
        string[] monthNames = DateTimeFormatInfo.CurrentInfo.MonthNames;
        
        for (i = 0; i < monthNames.Length - 1; i++)
        {
            //create object of ValueLabel class
            ValueLabel vl = new ValueLabel();
            // set the x-axis value which you want to replace
            vl.NumericValue = i;
            // set the desired value which you want to show
            vl.Text = monthNames[i].Substring(0, 3);
            // add it to the ValueLabel collection
            C1BarChart1.Axis.X.ValueLabelList.Add(vl);
        }

        //set the annotation to valuelabels instead of values.
        C1BarChart1.Axis.X.AnnoMethod = ChartAxisAnnoMethod.ValueLabels;

    }
}